package com.eactive.eai.message;

import java.io.Serializable;

public class StandardLogItem implements Serializable, Cloneable {
	String name;
	int level; // 0 : root  ~ n
	int type; // 0: Message, 1: Field, 2:Group,  3 : Grid, 4 : Field Array, 9 : BIZ DATA	
	int size; // array size
	int fieldType; // 0: ELEMENT, 1: ATTRIBUTE,
	int length;
	int dataType; // 0: String, 1: Number, 10: ZZ String, 11: Length Number
	String refPath;
	String refValue;
	String value;
	String desc = "";
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getLevel() {
		return level;
	}
	public void setLevel(int level) {
		this.level = level;
	}
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public int getSize() {
		return size;
	}
	public void setSize(int size) {
		this.size = size;
	}
	public int getFieldType() {
		return fieldType;
	}
	public void setFieldType(int fieldType) {
		this.fieldType = fieldType;
	}
	public int getLength() {
		return length;
	}
	public void setLength(int length) {
		this.length = length;
	}
	public int getDataType() {
		return dataType;
	}
	public void setDataType(int dataType) {
		this.dataType = dataType;
	}
	public String getRefPath() {
		return refPath;
	}
	public void setRefPath(String refPath) {
		this.refPath = refPath;
	}
	public String getRefValue() {
		return refValue;
	}
	public void setRefValue(String refValue) {
		this.refValue = refValue;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}
	public String getDesc() {
		return desc;
	}
	public void setDesc(String desc) {
		this.desc = desc;
	}
	@Override
	public String toString() {
		return "StandardLogItem [name=" + name + ", level=" + level + ", type=" + type + ", size=" + size
				+ ", fieldType=" + fieldType + ", length=" + length + ", dataType=" + dataType + ", refPath=" + refPath
				+ ", refValue=" + refValue + ", value=" + value + ", desc=" + desc + "]";
	}
	
	
}
